/*
   BOSS Computer Services 
   Copyright All Rights Reserved

   Program Name: TEST.PRG                                                               
   Language: CA-Clipper V5.2e

   Author: Paul J. Bosselaers
   Date: 02/25/96 Time: 19:52:36

   Comment/Usage Notes: Test routines to write to and read from Windows
            Clipboard.  (Works for WIN3.1, WIN3.11 and Windows 95).
            Note: C .OBJs are compiled for Clipper 5.2.
*/
#include "Common.ch"

local cData := ""

if !IS_CLIPBRD()
  ? "This program must be run from Microsoft Windows!"
  QUIT
endif

// get text from clipboard (put something in there first)
if !GET_CLIPB(@cData)
  ? "Error getting data from Clipboard"
elseif EMPTY(cData)
  ? "No text in Clipboard"
else
  ? cData
endif
wait

// put text in clipboard
cData := ""
accept "Enter something: " to cData
if !empty(cData)
  if !SEND_CLIPB(cData)
    ? "Error sending data to Clipboard"
  else
    ? "Data sent to Clipboard"
  endif
endif
wait

quit
